/*
  mod2kptrs.h - prototypes and defines for may alias anlaysis using
  modular arithmetic
  */
/***********************************************************************
  defines 
  *********************************************************************/
#include "mset.h"
#define NREGS 32
typedef mset bbl_summary[NREGS]; /* summary of state of each basic block
				  for each regiser */
typedef mset ins_summary[3];
#define Ra 0
#define Rb 1
#define Rc 2

#define IsGoodBbl(b) (b < CONFIG_UBBL && !ABBL_IS_KILLED(b))
/***********************************************************************
  prototypes
  *********************************************************************/
extern BOOL noConflict(INDEX i1, INDEX i2);
extern BOOL summary_bblgen(bbl_summary out, bbl_summary in, INDEX last);
